;*******************************************************************************
;  Filename:    DELAY_500ms.asm                                                 *
;                                                                              *
;  Version:  	01/09/2012    V1.0      Version originale                      *
;                                                                              *
;                                                                              *
;  Author:        Philippe DOUILLARD                                           *
;*******************************************************************************
;  DESCRIPTION                                                                 *
;                                 			                       *
;  Tempo 500ms soit 0.5s                                                          *
;                                                                              *
;*******************************************************************************

;*********************** Directive d' assemblage pour MPLAB   ******************

	LIST P=18F4520, F=INHX32    ;directive to define processor & file format
        #include <P18F4520.INC>     ;processor specific variable definitions

;************************VARIABLES EXTERNES ************************************

        extern temp4,temp5,temp6
	
;************************* SOUS ROUTINE ****************************************

PROG            CODE

Delay_500ms
                global Delay_500ms

;-------------- PAGE SELECT ----------------------------------------------------

		BCF     STATUS,5	; Select BANK 0
		BCF     STATUS,6	; par defaut

;-------------- Sous routine ---------------------------------------------------

                movlw   d'100'           ; Nombre de cycle x 2 Micro seconde
                movwf   temp4
                movlw   d'100'           ; Nombre de cycle 2eme boucle
                movwf   temp5
                movlw   d'25'           ; Nombre de cycle 3eme boucle
                movwf   temp6

loop            decfsz  temp4           ; dcrmenter 1er boucle
                bra     loop

                movlw   d'100'           ; Nombre de cycle x 2 Micro seconde
                movwf   temp4
                decfsz  temp5           ; dcrmenter 2eme boucle
                bra     loop

                movlw   d'100'           ; Nombre de cycle x 2 Micro seconde
                movwf   temp5
                decfsz  temp6           ; dcrmenter 3eme boucle
                bra     loop

;--------------- exit ----------------------------------------------------------

		return              ; retour du sous programme
			
		END
