;*******************************************************************************
;  Filename:    Commande_CLS.asm                                               *
;                                                                              *
;  Version:  	13/09/2012    V1.0      Version originale                      *
;                                                                              *
;                                                                              *
;  Author:        Philippe DOUILLARD                                           *
;*******************************************************************************
;  DESCRIPTION                                                                 *
;                                 			                       *
;  Commande VFD efface l'ecran (CLS)                                           *
;                                                                              *
;*******************************************************************************

;*********************** Directive d' assemblage pour MPLAB   ******************

	LIST P=18F4520, F=INHX32    ;directive to define processor & file format
        #include <P18F4520.INC>     ;processor specific variable definitions

;************************ MODULES EXTERNES *************************************
	
	extern Main,par_rw0_rs0,Delay_long

;********************** VARIABLES EXTERNES *************************************
        extern param_1
;************************* SOUS ROUTINE ****************************************

PROG            CODE

Commande_CLS
                global Commande_CLS

;-------------- PAGE SELECT ----------------------------------------------------

		BCF STATUS,5		; Select BANK 0
		BCF STATUS,6		; par defaut

;-------------- Sous routine ---------------------------------------------------

                movlw 0x01		; CLS
                movwf param_1		; Transfert parametre
		call par_rw0_rs0	; routine comunication paralelle
                call Delay_long

;--------------- exit ------------------------------------				

		return              ; retour du sous programme
			
		END
